package com.yijia.station.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 订单支付对象 pay_order
 *
 * @author yijia
 * @date 2020-12-31
 */
public class PayOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long orderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderNo;

    /** 油站id */
    @Excel(name = "油站id")
    private Long stationId;

    /** 油站名称 */
    @Excel(name = "油站名称")
    private String stationName;

    /** 状态(0未支付，1，已支付) */
    @Excel(name = "状态(0未支付，1，已支付)")
    private String status;

    /** 用户id(消费者) */
    @Excel(name = "用户id(消费者)")
    private Long consumerId;

    /** 消费者 */
    @Excel(name = "消费者")
    private String consumer;

    /** 加油枪号 */
    @Excel(name = "加油枪号")
    private String oilGun;

    /** 油品名称 */
    @Excel(name = "油品名称")
    private String oilName;

    /** 油品价格 */
    @Excel(name = "油品价格")
    private String oilPirce;

    /** 油品类型（1.柴油 2 汽油） */
    @Excel(name = "油品类型", readConverterExp = "1=.柴油,2=,汽=油")
    private String oilType;

    /** 加油升数 */
    @Excel(name = "加油升数")
    private Double orderLiters;

    /** 实收金额 */
    @Excel(name = "实收金额")
    private Double amt;

    /** 应收金额 */
    @Excel(name = "应收金额")
    private Double receivableAmt;

    /** 优惠金额 */
    @Excel(name = "优惠金额")
    private Double discountAmt;

    /** 优惠券金额 */
    @Excel(name = "优惠券金额")
    private Double discountCouponAmt;

    /** 优惠券 */
    @Excel(name = "优惠券")
    private Double discountCoupon;

    /** 微信支付金额 */
    @Excel(name = "微信支付金额")
    private Double wxAmt;

    /** 支付宝支付金额 */
    @Excel(name = "支付宝支付金额")
    private Double zfbAmt;

    /** pos支付金额 */
    @Excel(name = "pos支付金额")
    private Double posAmt;

    /** 现金支付金额 */
    @Excel(name = "现金支付金额")
    private Double xjAmt;

    /** 滴滴app支付金额 */
    @Excel(name = "滴滴app支付金额")
    private Double didiAppAmt;

    /** 团油app支付金额 */
    @Excel(name = "团油app支付金额")
    private Double tyAppAmt;

    /** 其他支付金额 */
    @Excel(name = "其他支付金额")
    private Double otherAmt;

    /** 电子卡祝福金额 */
    @Excel(name = "电子卡祝福金额")
    private Double dzkAmt;

    /** 消费积分 */
    @Excel(name = "消费积分")
    private Long score;

    /** 会员支付金额 */
    @Excel(name = "会员支付金额")
    private Double memberAmt;

    /** 打印小票数量 */
    @Excel(name = "打印小票数量")
    private Long printCount;

    /** 支付类型：随行付：sxf */
    @Excel(name = "支付类型：随行付：sxf")
    private String payType;

    /** 支付方式：02公众号，03小程序 */
    @Excel(name = "支付方式：02公众号，03小程序")
    private String payWay;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date payDate;

    /** 加油员 */
    @Excel(name = "加油员")
    private String oilPersonnel;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createdDate;

    /** 订单类型（1.柴油，2.汽油，积分：3.现金+积分4.现金，5.积分） */
    @Excel(name = "订单类型", readConverterExp = "1=.柴油，2.汽油，积分：3.现金+积分4.现金，5.积分")
    private String orderType;

    public void setOrderId(Long orderId)
    {
        this.orderId = orderId;
    }

    public Long getOrderId()
    {
        return orderId;
    }
    public void setOrderNo(String orderNo)
    {
        this.orderNo = orderNo;
    }

    public String getOrderNo()
    {
        return orderNo;
    }
    public void setStationId(Long stationId)
    {
        this.stationId = stationId;
    }

    public Long getStationId()
    {
        return stationId;
    }
    public void setStationName(String stationName)
    {
        this.stationName = stationName;
    }

    public String getStationName()
    {
        return stationName;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setConsumerId(Long consumerId)
    {
        this.consumerId = consumerId;
    }

    public Long getConsumerId()
    {
        return consumerId;
    }
    public void setConsumer(String consumer)
    {
        this.consumer = consumer;
    }

    public String getConsumer()
    {
        return consumer;
    }
    public void setOilGun(String oilGun)
    {
        this.oilGun = oilGun;
    }

    public String getOilGun()
    {
        return oilGun;
    }
    public void setOilName(String oilName)
    {
        this.oilName = oilName;
    }

    public String getOilName()
    {
        return oilName;
    }
    public void setOilPirce(String oilPirce)
    {
        this.oilPirce = oilPirce;
    }

    public String getOilPirce()
    {
        return oilPirce;
    }
    public void setOilType(String oilType)
    {
        this.oilType = oilType;
    }

    public String getOilType()
    {
        return oilType;
    }

    public Double getOrderLiters() {
        return orderLiters;
    }

    public void setOrderLiters(Double orderLiters) {
        this.orderLiters = orderLiters;
    }

    public Double getAmt() {
        return amt;
    }

    public void setAmt(Double amt) {
        this.amt = amt;
    }

    public Double getReceivableAmt() {
        return receivableAmt;
    }

    public void setReceivableAmt(Double receivableAmt) {
        this.receivableAmt = receivableAmt;
    }

    public Double getDiscountAmt() {
        return discountAmt;
    }

    public void setDiscountAmt(Double discountAmt) {
        this.discountAmt = discountAmt;
    }

    public Double getDiscountCouponAmt() {
        return discountCouponAmt;
    }

    public void setDiscountCouponAmt(Double discountCouponAmt) {
        this.discountCouponAmt = discountCouponAmt;
    }

    public Double getDiscountCoupon() {
        return discountCoupon;
    }

    public void setDiscountCoupon(Double discountCoupon) {
        this.discountCoupon = discountCoupon;
    }

    public Double getWxAmt() {
        return wxAmt;
    }

    public void setWxAmt(Double wxAmt) {
        this.wxAmt = wxAmt;
    }

    public Double getZfbAmt() {
        return zfbAmt;
    }

    public void setZfbAmt(Double zfbAmt) {
        this.zfbAmt = zfbAmt;
    }

    public Double getPosAmt() {
        return posAmt;
    }

    public void setPosAmt(Double posAmt) {
        this.posAmt = posAmt;
    }

    public Double getXjAmt() {
        return xjAmt;
    }

    public void setXjAmt(Double xjAmt) {
        this.xjAmt = xjAmt;
    }

    public Double getDidiAppAmt() {
        return didiAppAmt;
    }

    public void setDidiAppAmt(Double didiAppAmt) {
        this.didiAppAmt = didiAppAmt;
    }

    public Double getTyAppAmt() {
        return tyAppAmt;
    }

    public void setTyAppAmt(Double tyAppAmt) {
        this.tyAppAmt = tyAppAmt;
    }

    public Double getOtherAmt() {
        return otherAmt;
    }

    public void setOtherAmt(Double otherAmt) {
        this.otherAmt = otherAmt;
    }

    public Double getDzkAmt() {
        return dzkAmt;
    }

    public void setDzkAmt(Double dzkAmt) {
        this.dzkAmt = dzkAmt;
    }

    public Double getMemberAmt() {
        return memberAmt;
    }

    public void setMemberAmt(Double memberAmt) {
        this.memberAmt = memberAmt;
    }

    public Long getScore() {
        return score;
    }

    public void setScore(Long score) {
        this.score = score;
    }


    public void setPrintCount(Long printCount)
    {
        this.printCount = printCount;
    }

    public Long getPrintCount()
    {
        return printCount;
    }
    public void setPayType(String payType)
    {
        this.payType = payType;
    }

    public String getPayType()
    {
        return payType;
    }
    public void setPayWay(String payWay)
    {
        this.payWay = payWay;
    }

    public String getPayWay()
    {
        return payWay;
    }
    public void setOilPersonnel(String oilPersonnel)
    {
        this.oilPersonnel = oilPersonnel;
    }

    public String getOilPersonnel()
    {
        return oilPersonnel;
    }
    public void setPayDate(Date payDate)
    {
        this.payDate = payDate;
    }

    public Date getPayDate()
    {
        return payDate;
    }
    public void setCreatedDate(Date createdDate)
    {
        this.createdDate = createdDate;
    }

    public Date getCreatedDate()
    {
        return createdDate;
    }
    public void setOrderType(String orderType)
    {
        this.orderType = orderType;
    }

    public String getOrderType()
    {
        return orderType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("orderId", getOrderId())
            .append("orderNo", getOrderNo())
            .append("stationId", getStationId())
            .append("stationName", getStationName())
            .append("status", getStatus())
            .append("consumerId", getConsumerId())
            .append("consumer", getConsumer())
            .append("oilGun", getOilGun())
            .append("oilName", getOilName())
            .append("oilPirce", getOilPirce())
            .append("oilType", getOilType())
            .append("orderLiters", getOrderLiters())
            .append("amt", getAmt())
            .append("receivableAmt", getReceivableAmt())
            .append("discountAmt", getDiscountAmt())
            .append("discountCouponAmt", getDiscountCouponAmt())
            .append("discountCoupon", getDiscountCoupon())
            .append("wxAmt", getWxAmt())
            .append("zfbAmt", getZfbAmt())
            .append("posAmt", getPosAmt())
            .append("xjAmt", getXjAmt())
            .append("didiAppAmt", getDidiAppAmt())
            .append("tyAppAmt", getTyAppAmt())
            .append("otherAmt", getOtherAmt())
            .append("dzkAmt", getDzkAmt())
            .append("score", getScore())
            .append("memberAmt", getMemberAmt())
            .append("printCount", getPrintCount())
            .append("payType", getPayType())
            .append("payWay", getPayWay())
            .append("oilPersonnel", getOilPersonnel())
            .append("payDate", getPayDate())
            .append("createdDate", getCreatedDate())
            .append("orderType", getOrderType())
            .toString();
    }
}
